from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper


def getCardTables(meta):
    card1 = Table('card1', meta, autoload=True)
    card2 = Table('card2', meta, autoload=True)
    return [card1, card2]


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    # card - discountpercent
    for tbl in getCardTables(meta):
        discountpercent = Column('discountpercent', Numeric(5, 2), nullable=True)
        if not 'discountpercent' in tbl.columns:
            discountpercent.create(tbl)
    views_helper.update_dic_view(migrate_engine, 'card')


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    # card - discountpercent
    card = views_helper.get_table_name(migrate_engine, 'card')
    for tbl in getCardTables(meta):
        if 'discountpercent' in tbl.columns:
            tbl.c.discountpercent.drop()
    views_helper.update_dic_view(migrate_engine, 'card', card)
