from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper
import migrate.changeset

def getCommissionTable(meta):
    commission = Table('commission', meta,
        Column('commissionid', Integer, nullable=False, primary_key=True),
        Column('providerid', Integer, nullable=False, index=True),
        Column('minsum', Numeric (15,2), nullable=False),
        Column('type', Integer, nullable=False),
        Column('amount', Numeric (15,2), nullable=False),
        Column('datebegin', Date, nullable=True),
        Column('dateend', Date, nullable=True),
        Column('timebegin', Time(timezone=False), nullable=True),
        Column('timeend', Time(timezone=False), nullable=True),
        Column('cardgroup', Integer, nullable=True),
    )
    return commission

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    table = getCommissionTable(meta)
    basename = table.name
    for suffix in ['1','2']:
        table.name = basename + suffix
        if not table.exists():
            table.create()
    views_helper.create_or_replace(migrate_engine, basename, basename + '1')

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    table = getCommissionTable(meta)
    basename = table.name
    for suffix in ['1','2']:
        table.name = basename + suffix
        if table.exists():
            table.drop()
    views_helper.drop_if_exist(migrate_engine, basename)
