from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def getCardGroupTables(meta):
    cardgroup1 = Table('cardgroup1', meta, autoload=True)
    cardgroup2 = Table('cardgroup2', meta, autoload=True)
    return [cardgroup1, cardgroup2]

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    for tbl in getCardGroupTables(meta):
        if not 'printinfo' in tbl.columns:
            printinfo = Column('printinfo', BOOLEAN)
            printinfo.create(tbl)
    views_helper.update_dic_view(migrate_engine, 'cardgroup')

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    cardgroup = views_helper.get_table_name(migrate_engine,'cardgroup')
    for tbl in getCardGroupTables(meta):
        if 'printinfo' in tbl.columns:
            tbl.c.printinfo.drop()
    views_helper.update_dic_view(migrate_engine, 'cardgroup', cardgroup)