from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def getTables(meta):
    shoplabels = Table('shoplabels', meta,
        Column('code', String(100), nullable = False, primary_key = True),
        Column('name', String(100), nullable = False),
        Column('shopgrouplabelcode', String(100), nullable = False)
    )
    shopgrouplabels = Table('shopgrouplabels', meta,
        Column('code', String(100), nullable = False, primary_key = True),
        Column('name', String(100), nullable = False)
    )
    shoptoshoplabels = Table('shoptoshoplabels', meta,
        Column('shopcode', String(255), nullable = False),
        Column('shoplabelcode', String(100), nullable = False)
    )
    return [shoplabels, shopgrouplabels, shoptoshoplabels]

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    for table in getTables(meta):
        basename = table.name
        for suffix in ['1','2']:
            table.name = basename + suffix
            if not table.exists():
                table.create()
        views_helper.create_or_replace(migrate_engine, basename, basename + '1')

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    for table in getTables(meta):
        basename = table.name
        for suffix in ['1','2']:
            table.name = basename + suffix
            if table.exists():
                table.drop()
        views_helper.drop_if_exist(migrate_engine, basename)
