from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def getTable(meta):
    return Table('securityweight', meta,
        Column('barcode', String(100), nullable = False, primary_key = True),
        Column('weightfrom1', Numeric(precision=13, scale=3), nullable = False),
        Column('weightto1', Numeric(precision=13, scale=3), nullable = False),
        Column('weightfrom2', Numeric(precision=13, scale=3), nullable = True),
        Column('weightto2', Numeric(precision=13, scale=3), nullable = True),
        Column('weightfrom3', Numeric(precision=13, scale=3), nullable = True),
        Column('weightto3', Numeric(precision=13, scale=3), nullable = True)
    )

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    views_helper.create_table(migrate_engine, getTable(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    views_helper.drop_table(migrate_engine, getTable(meta))
