from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

table_name = 'client'
column_name = 'organizationcode'

def getOrganizationTable(meta):
    return Table('organization', meta,
        Column('organizationcode', String(255), nullable=False, primary_key=True),
        Column('name', String(255), nullable=False),
        Column('registeredaddress', String(255), nullable=False),
        Column('correspondenceaddress', String(255), nullable=True),
        Column('ogrn', String(255), nullable=True),
        Column('inn', String(255), nullable=False),
        Column('kpp', String(255), nullable=False),
        Column('okpo', String(255), nullable=True),
        Column('operatingaccount', String(255), nullable=False),
        Column('bank', String(255), nullable=False),
        Column('correspondingaccount', String(255), nullable=False),
        Column('bik', String(255), nullable=False),
        Column('receiver', String(255), nullable=True),
        Column('customer', String(255), nullable=True),
        Column('payer', String(255), nullable=True),
        Column('deliveryaddress', String(255), nullable=True)
    )

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    views_helper.create_table(migrate_engine, getOrganizationTable(meta))
    views_helper.create_column(migrate_engine, table_name, column_name, String(255), isNullable = True, isBigTable = True)

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    views_helper.drop_column(migrate_engine, table_name, column_name, String(255), isBigTable = True)
    views_helper.drop_table(migrate_engine, getOrganizationTable(meta))