from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper


def getMolAccess(meta):
    return Table('molaccess', meta,
        Column('code', String(30), nullable=False),
        Column('shopcode', String(150), nullable=False),
        Column('cashcode', String(150), nullable=False),
        PrimaryKeyConstraint('code', 'shopcode', 'cashcode')
    )

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.create_table(migrate_engine, getMolAccess(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.drop_table(migrate_engine, getMolAccess(meta))

