from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def getTmcKitTable(meta):
# barcode с ограничением в 200 символов, а не 255, потому что на MySql 5.7 нельзя создать primaryKey > 1000 bytes
# каждый символ занимает 3 байта, поэтому максимальная длина ключа 333
    return Table('tmckit', meta,
        Column('barcode', String(200), nullable=False, primary_key=True),
        Column('name', String(255), nullable=False)
    )

def getTmcKitItemTable(meta):
# tmccode с ограничением в 100 символов и tmckitbarcode с ограничением в 200 символов, а не 255, 
# потому что на MySql 5.7 нельзя создать primaryKey > 1000 bytes
# каждый символ занимает 3 байта, поэтому максимальная длина ключа 333
    return Table('tmckititem', meta,
        Column('tmccode', String(100), nullable=False, primary_key=True),
        Column('tmckitbarcode', String(200), nullable=False, primary_key=True),
        Column('quantity', Numeric(precision=13, scale=3), nullable=False)
    )

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.create_table(migrate_engine, getTmcKitTable(meta))
    views_helper.create_table(migrate_engine, getTmcKitItemTable(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.drop_table(migrate_engine, getTmcKitTable(meta))
    views_helper.drop_table(migrate_engine, getTmcKitItemTable(meta))

