from sqlalchemy import Numeric, Integer
from dictionaries.versions import views_helper

table_name = 'tmccatalog'
discountColumn = "percentdiscount"
quantityColumns = ("mincount", "maxcount", "multiplicity")

def upgrade(migrate_engine):
    views_helper.create_column(migrate_engine, table_name, discountColumn, column_type=Numeric(5, 2))
    for column in quantityColumns:
        views_helper.create_column(migrate_engine, table_name, column, column_type=Integer)

def downgrade(migrate_engine):
    views_helper.drop_column(migrate_engine, table_name, discountColumn, column_type=Numeric(5, 2))
    for column in quantityColumns:
        views_helper.drop_column(migrate_engine, table_name, column, column_type=Integer)
