# -*- coding: utf-8 -*-
from sqlalchemy import *
from migrate import *
import migrate.changeset

def getCarditemTable(meta):
    return Table('carditem', meta, autoload=True)

def getDiscitemTable(meta):
    return Table('discitem', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    posnum = Column('positionnumber', Integer, nullable=True)
    posnum.create(getCarditemTable(meta))
    carditemid = Column('carditemid', Integer, nullable=True)
    carditemid.create(getDiscitemTable(meta))
    cons = migrate.changeset.constraint.ForeignKeyConstraint([getDiscitemTable(meta).c.carditemid], [getCarditemTable(meta).c.carditemid], name = 'discitemcarditemidfk')
    cons.create()

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    cons = migrate.changeset.constraint.ForeignKeyConstraint([getDiscitemTable(meta).c.carditemid], [getCarditemTable(meta).c.carditemid], name = 'discitemcarditemidfk')
    cons.drop()
    getDiscitemTable(meta).c.carditemid.drop()
    getCarditemTable(meta).c.positionnumber.drop()
