# -*- coding: utf-8 -*-
from sqlalchemy import *
from migrate import *
import migrate.changeset

def getCarditemTable(meta):
    return Table('carditem', meta, autoload=True)

def getClientTable(meta):
    return Table('client', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    for tbl in [getCarditemTable(meta), getClientTable(meta)]:
        tbl.c.idclient.alter(type=String(100))
    getCarditemTable(meta).c.idcard.alter(type=String(100))

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    conn = migrate_engine.connect()
    for tbl in [getCarditemTable(meta), getClientTable(meta)]:
        conn.execute('alter table %s modify column idclient int' % tbl.name)
    conn.execute('alter table carditem modify column idcard int')
