# -*- coding: utf-8 -*-
from sqlalchemy import *
from migrate import *
import migrate.changeset

def getTable(meta): 
    return  Table('bonusitem', meta, autoload=True)

def getDocType(meta):    
    return Table('documenttype', meta, autoload=True)

def getMoneyType(meta):    
    return Table('moneyitemtype', meta, autoload=True)

def getGoodsType(meta):    
    return Table('goodsitemtype', meta, autoload=True)

def getColumns():
    return [ Column('weight', Integer, nullable=True),
	    Column('assettimebeg', DateTime, nullable=True),
	    Column('assettimeend', DateTime, nullable=True),
	    Column('campaignid', Integer, nullable=True),
	    Column('campaignname', String(100), nullable=True)
    ]
def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    for col in getColumns():
        if not col.name in getTable(meta).columns: 
            col.create(getTable(meta))

    getDocType(meta).delete(getDocType(meta).c.doctype==25).execute()
    getDocType(meta).insert().values(doctype =  25, moneyfactor =  -1, name = 'Чек возврата по чеку продажи').execute()
    getGoodsType(meta).insert().values(doctype = 25,  reverseoperation = 0, factor =  1, name = 'Возврат по чеку продажи').execute()
    getMoneyType(meta).insert().values(doctype = 25,  reverseoperation = 0, factor = -1, name = 'Выдано по возврату по чеку продажи').execute()
    getMoneyType(meta).insert().values(doctype = 25,  reverseoperation = 1, factor =  1, name = 'Сдача по возврату по чеку продажи').execute()
       
                                        
def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    
    if 'weight' in getTable(meta).columns: 
        getTable(meta).c.weight.drop()
    if 'assettimeend' in getTable(meta).columns: 
        getTable(meta).c.assettimeend.drop()
    if 'assettimebeg' in getTable(meta).columns: 
        getTable(meta).c.assettimebeg.drop()
    if 'campaignid' in getTable(meta).columns: 
        getTable(meta).c.campaignid.drop()
    if 'campaignname' in getTable(meta).columns: 
        getTable(meta).c.campaignname.drop()

    getDocType(meta).delete(getDocType(meta).c.doctype==25).execute()
