# -*- coding: utf-8 -*-

from sqlalchemy import Table, Column, MetaData, Numeric

def getColumns():
    for columnName in ['sumsaledept', 'sumbackdept']:
        for num in range(1, 17):
            yield Column('%s%s' % (columnName, num), Numeric(precision = 13, scale = 2))

def upgrade(migrate_engine):

    tbl = Table('kkm', MetaData(bind = migrate_engine), autoload=True)
    for column in getColumns():
        if not column.name in tbl.columns:
            column.create(tbl)

def downgrade(migrate_engine):

    tbl = Table('kkm', MetaData(bind = migrate_engine), autoload=True)
    for column in getColumns():
        if column.name in tbl.columns:
            column.drop(tbl)
