from sqlalchemy import *
from migrate import *

def getTable(meta):
    return Table('workshift', meta, autoload=True)

def upgrade(migrate_engine):
    # Upgrade operations go here. Don't create your own engine; bind migrate_engine
    # to your metadata
    meta = MetaData(bind = migrate_engine)
    
    workshift = getTable(meta)
    version=Column('version', String(200), nullable=True)
    postype=Column('postype', Integer, nullable=True)
    revision=Column('revision', String(200), nullable=True)
    
    if 'version' not in workshift.columns:
        version.create(workshift)
    if 'postype' not in workshift.columns:
        postype.create(workshift)
    if 'revision' not in workshift.columns:
        revision.create(workshift)


def downgrade(migrate_engine):
    # Operations to reverse the above upgrade go here.
    meta = MetaData(bind = migrate_engine)
    
    workshift = getTable(meta)
    if 'version' in workshift.columns:
        workshift.c.version.drop()
    if 'postype' in workshift.columns:
        workshift.c.postype.drop()
    if 'revision' in workshift.columns:
        workshift.c.revision.drop()
