from sqlalchemy import *
from migrate import *

tableName = 'fiscaldocument'
columnName = 'updatetime'


def getTable(meta):
    return Table('fiscaldocument', meta, autoload=True)


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getTable(meta)
    if columnName not in table.columns:
        Column(columnName, DateTime, nullable=True).create(table)


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getTable(meta)
    if columnName in table.columns:
        Column(columnName, DateTime, nullable=True).drop(table)
