from sqlalchemy import *
from documents.versions import dump

columnName = 'markingcode'
columnType = String(255)


def getTables(meta):
    goodsitem = Table('goodsitem', meta, autoload=True)
    stornogoodsitem = Table('stornogoodsitem', meta, autoload=True)
    return [goodsitem, stornogoodsitem]


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    dump.store(migrate_engine)
    for table in getTables(meta):
        if columnName not in table.columns:
            Column(columnName, columnType, nullable=True).create(table)


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    for table in getTables(meta):
        if columnName in table.columns:
            Column(columnName, columnType, nullable=True).drop(table)
