from sqlalchemy import *
from migrate import *


def getTable(migrate_engine):
    return Table('gift', MetaData(bind=migrate_engine), autoload=True)


def getColumn():
    return Column('quant', Numeric(precision=13, scale=3), nullable=True)


def upgrade(migrate_engine):
    table = getTable(migrate_engine)
    column = getColumn()
    if column.name not in table.columns:
        column.create(table)


def downgrade(migrate_engine):
    table = getTable(migrate_engine)
    column = getColumn()
    if column.name in table.columns:
        column.drop(table)
